#include <stdlib.h>

#include "VTS.h"

void mmsefree_all(float **w, float **x, float **y, 
		  float **z, float **zv, float *zc, float *pk)
{

	if (w != NULL)
		free2d((void **) w);
	if (x != NULL)
		free2d((void **) x);
	if (y != NULL)
		free2d((void **) y);
	if (z != NULL)
		free2d((void **) z);
	if (zv != NULL)
		free2d((void **) zv);
	if (zc != NULL)
		free(zc);
	if (pk != NULL)
		free(pk);
}
